API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

POST /v1/attendance-shift-corrections

POST/v1/attendance-shift-corrections

CodeMeta OS API endpoint.

Datenmodell

Diese Operation arbeitet auf der Entität Attendance Shift Correction (attendance_shift_correction). Alle 19 Felder — Typ, Validierung, Pflichtangabe, Beziehungen — stehen in der Schema-Referenz.

  • Pflichtfelder: userId, correctionType, reason, requestedBy, date
  • Server-verwaltet: _id, schema, schemaVersion, tenantId, version, createdAt, updatedAt, createdBy, updatedBy, deletedAt, deletedBy, originalShiftId, approvedAt, approvedBy, entryHash, previousHash — diese Felder vergibt die Plattform; im Request werden sie verworfen.

Request Body

NameTypBeschreibung
userIderforderlichstring
originalShiftIdstring
correctionTypeerforderlichstring
dateerforderlichstring
startAtstring<date-time>
endAtstring<date-time>
durationMinutesinteger
activityTypestring
travelDetailsobject
reasonerforderlichstring
legalBasisstring

Beispiel

curl -X POST https://api.codemeta-os.de/v1/attendance-shift-corrections \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "userId": "string",
  "originalShiftId": "string",
  "correctionType": "ADD",
  "date": "string",
  "startAt": "string",
  "endAt": "string",
  "durationMinutes": 0,
  "activityType": "WORK",
  "travelDetails": null,
  "reason": "string",
  "legalBasis": "string"
}'
const result = await cm.attendance-shift-corrections.post({
  "userId": "string",
  "originalShiftId": "string",
  "correctionType": "ADD",
  "date": "string",
  "startAt": "string",
  "endAt": "string",
  "durationMinutes": 0,
  "activityType": "WORK",
  "travelDetails": null,
  "reason": "string",
  "legalBasis": "string"
});

Antwortcodes

HTTP Bedeutung
200 Default Response

Suche